<?
/*
=============================================
Движок:  SHCMS Engine
=============================================
Название файла: Форум
=============================================
Official website: http://shcms.ru
=============================================
*/
if($_GET['id']){$id = $_GET['id'];}
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$tit = mysql_fetch_array(mysql_query("SELECT * FROM forum_cat WHERE id=$id"));
$shcmsengine['title'] = 'Параметры раздела: '.$tit['name'].'';
include_once'../template/head.php';
registrat();
if($user4['team'] == 6)
{
$q = mysql_query("SELECT * FROM `forum_cat` WHERE `id` = '$id'");
if (!mysql_num_rows($q)) {
        header('Refresh: 1; url=./');
   echo 'Нельзя редактировать раздел';
   	include_once'../template/foot.php';
    exit();
}
$mysql_upda = mysql_fetch_array($q);


if($_POST['submit'])
{
$submit = $_POST['submit'];
}

if(isset($submit))
{
if($_POST['name'])
{$name = $_POST['name'];}
if($_POST['message'])
{$message= $_POST['message'];}

if(empty($name))
{
echo'<div class="errors">Введите название</div>';
	include_once'../template/foot.php';
exit();
}
if(empty($message))
{
echo'<div class="errors">Введите описание</div>';
	include_once'../template/foot.php';
exit();
}
if(strlen($name)< 0 ||  strlen($name) >30)
{
echo'<div class="errors">название должен быть не больше 30 символов</div>';
	include_once'../template/foot.php';
exit();
}if(strlen($message)< 0 ||  strlen($message) >255)
{
echo'<div class="errors">Описание должен быть не больше 255 символов</div>';
	include_once'../template/foot.php';
exit();
}

$mysql_upda['name'] = isset($name) ? shcms_sh_shcms(substr($name, 0, 30)) : '';  
$mysql_upda['message'] = isset($message) ? shcms_sh_shcms(substr($message, 0, 255)) : '';   

if(isset($name) && isset($message))
{
$mysql_okok = mysql_query("UPDATE forum_cat SET name='$name',message='$message' WHERE id=$id");
if($mysql_okok == true)
{
echo '<div class="actshcms">Изминение успешно вступили в силу</div>';
}
else
{
echo '<div class="errors">Произошла ошибка в изминении</div>';
}
}

}









echo '<form action="?id='.$id.'&'.$conservation.'" method="post">';
echo 'Название:<br/><input type="text" name="name" value="'.$mysql_upda['name'].'"><br/>';
echo 'Текст<br/><textarea name="message">'.$mysql_upda['message'].'</textarea><br/>';
echo '<input type="submit" name="submit" value="Применить изминение">';
}
else
{
header('Refresh: 1; url=./');
}
	include_once'../template/foot.php';
?>